Bug 7989 - [UPDATE REQUEST] Qt Creator 4.2.2 -> 4.3.1
: [UPDATE REQUEST] Qt Creator 4.2.2 -> 4.3.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-30 07:58 MSD by Andrey Bondrov
Modified: 2017-08-29 05:03 MSD (History)
3 users (show)

See Also:
RPM Package: qt-creator
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (65.44 KB, image/png)
2017-06-09 11:55 MSD, Vladimir Potapov
Details
ss1 (163.38 KB, image/png)
2017-08-17 16:17 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-05-30 07:58:29 MSD
New version of Qt Creator was released.
Comment 2 Vladimir Potapov 2017-06-09 11:55:27 MSD
Created attachment 4654 [details]
ss

Localization regression present
Comment 3 VictorR2007 2017-06-10 00:20:07 MSD
Нет возможности исправить локализацию.
Там всё уже переведено.
В коде все вызовы локализации стоят.
Похоже на проблему с переводом nomacs,
где тоже всё нормально, но все новые функции по работе с вкладками,
которые добавились в версии 3.6.1, отображаются без перевода.
Comment 4 Vladimir Potapov 2017-06-15 08:36:07 MSD
подождем следующей версии, благо и остальные дистрибутивы не торопятся обновляться.
Comment 5 Vladimir Potapov 2017-06-29 15:26:15 MSD
(In reply to comment #4)
> подождем следующей версии, благо и остальные дистрибутивы не торопятся
> обновляться.

**************************
QA Denied
Comment 6 Andrey Bondrov 2017-08-13 13:34:28 MSD
(In reply to comment #4)
> подождем следующей версии, благо и остальные дистрибутивы не торопятся
> обновляться.


Advisory: "Update Qt Creator to new version 4.3.1"

rosa2016.1:
https://abf.rosalinux.ru/build_lists/2886311
https://abf.rosalinux.ru/build_lists/2886312
Comment 7 Vladimir Potapov 2017-08-17 16:17:44 MSD
Created attachment 4710 [details]
ss1

compile error
Comment 8 Andrey Bondrov 2017-08-18 02:08:30 MSD
(In reply to comment #7)
> Created attachment 4710 [details]
> ss1
> 
> compile error

Can you please check if you have libgl-devel or lib64gl-devel installed?
Comment 9 Vladimir Potapov 2017-08-21 12:54:54 MSD
(In reply to comment #8)
> (In reply to comment #7)
> > Created attachment 4710 [details]
> > ss1
> > 
> > compile error
> 
> Can you please check if you have libgl-devel or lib64gl-devel installed?

Yes, urpmi lib64gl-devel solve the issue.
but it install llvm... is it correct?
Comment 10 Andrey Bondrov 2017-08-22 09:39:05 MSD
(In reply to comment #9)
> Yes, urpmi lib64gl-devel solve the issue.
> but it install llvm... is it correct?

Yes, it's fine.
Comment 11 Vladimir Potapov 2017-08-23 08:47:39 MSD
(In reply to comment #10)
> (In reply to comment #9)
> > Yes, urpmi lib64gl-devel solve the issue.
> > but it install llvm... is it correct?
> 
> Yes, it's fine.
Do you rebuild with libgl-devel?
Comment 12 Andrey Bondrov 2017-08-23 12:21:15 MSD
Advisory: "Update Qt Creator to new version 4.3.1. Suggest pkgconfig(gl)"

rosa2016.1:
https://abf.rosalinux.ru/build_lists/2888213
https://abf.rosalinux.ru/build_lists/2888214
Comment 13 Vladimir Potapov 2017-08-23 15:15:46 MSD
install qt-creator:

(источник «Non-free Updates»)
 libamdgpu-pro_drm                17.10.414273 5             rosa  2016.1 i586 (рекомендуется)
 libamdgpu-pro_gl                 17.10.414273 5             rosa  2016.1 i586 (рекомендуется)

Is it correct?
Comment 14 Andrey Bondrov 2017-08-23 17:21:02 MSD
(In reply to comment #13)
> install qt-creator:
> 
> (источник «Non-free Updates»)
>  libamdgpu-pro_drm                17.10.414273 5             rosa  2016.1
> i586 (рекомендуется)
>  libamdgpu-pro_gl                 17.10.414273 5             rosa  2016.1
> i586 (рекомендуется)
> 
> Is it correct?

I'm not sure it's really needed for pkgconfig(gl). But it's mesa's issue, not Qt Creator's.
Comment 15 Eugene Shatokhin 2017-08-23 18:29:20 MSD
(In reply to comment #14)
> > Is it correct?

No.

> 
> I'm not sure it's really needed for pkgconfig(gl). But it's mesa's issue,
> not Qt Creator's.

Not Mesa but rather AMDGPU PRO. I removed many provides from there that could cause this. Looks like some might still be there though.

Anyway, Qt Creator has nothing to do with that, it is not its problem.
Comment 16 Eugene Shatokhin 2017-08-23 18:33:56 MSD
$ urpmq --provides libamdgpu-pro_gl
devel(libEGL)
devel(libGL)
devel(libGLESv2)
libamdgpu-pro_gl[== 17.10.414273-5:2016.1]

I'll rebuild AMDGPU PRO without these 'devel'-provides.
Comment 17 Eugene Shatokhin 2017-08-23 19:04:19 MSD
Should be fixed in this build of AMDGPU PRO: http://bugs.rosalinux.ru/show_bug.cgi?id=8270
Comment 18 Vladimir Potapov 2017-08-24 15:40:05 MSD
The update is sent to expanded testing
*************************************
Comment 19 Vladimir Potapov 2017-08-28 18:50:05 MSD
qt-creator-4.3.1-2
https://abf.rosalinux.ru/build_lists/2888213
https://abf.rosalinux.ru/build_lists/2888214
***************************** Advisory **************************
Update Qt Creator to new version 4.3.1. Suggest pkgconfig(gl)
*****************************************************************
QA Verified